﻿/**
 * Color settings.
 */
{
  // Color values for substitutions.
  "def": {
    "al": "0x96FF00", // ally       
    "sq": "0xFFB964", // squadman  
    "tk": "0x00EAFF", // teamKiller 
    "en": "0xF50800", // enemy      
    "pl": "0xFFDD33", // player     
     "colorRatingNew": {
      "beginner":		"0xFE0E00",   // Beginner
      "basic":			"0xFF7F7F",   // Basic
      "below_average":	"0xCC7A00",   // below average
      "average":		"0xe6df27",   // average
      "above_average":	"0x77e812",   // above average
      "good":			"0x459300",    // good
      "very_good":		"0x2ae4ff",    // very good
      "great":			"0x00a0b8",    // great
      "unicum":			"0xc64cff",    // unicum
      "super_unicum":	"0x8225ad"    // super_unicum
    },
	// Dynamic color by various statistical parameters.
    "colorRating": {
      "undefined":    "0xFCFCFC",   // undefined  
      "very_bad":     "0xFE0E00",   // very bad   
	  "bad":          "0xFF7F7F",   // bad
      "below":         "0xFE7903",   // below average      
      "normal":       "0xF8F400",   // average     
      "good":         "0x60FF00",   // good      
      "very_good":    "0x02C9B3",   // very good  
	  "great":    	"0x66BBFF",    // great 
	  "unique":       "0xD042F3",   // unique
      "super":       "0xFF00FF"    // super    
    },
    // Dynamic color by remaining health points.
    "colorHP": {
      "very_low":         "0xFF0000",   // very low       / очень низкий
      "low":              "0xFF6A00",   // low            / низкий
      "average":          "0xFFCC22",   // average        / средний
      "above_average":    "0x96FF00"    // above-average  / выше среднего
    }
  },
  "colors": {
    // System colors.
    "system": {
      // Format: object_state
      // Object:      ally, squadman, teamKiller, enemy
      // State:       alive, dead, blowedup
      "ally_alive":          ${"def.al"},
      "ally_dead":           "0x009900",
      "ally_blowedup":       "0x007700",
      "squadman_alive":      ${"def.sq"},
      "squadman_dead":       "0xCA7000",
      "squadman_blowedup":   "0xA45A00",
      "teamKiller_alive":    ${"def.tk"},
      "teamKiller_dead":     "0x097783",
      "teamKiller_blowedup": "0x096A75",
      "enemy_alive":         ${"def.en"},
      "enemy_dead":          "0x840500",
      "enemy_blowedup":      "0x5A0401"
    },
    // Dynamic color by damage kind.
    "dmg_kind": {
     "shot": "0xFFAA55",            // shot / old attack
      "fire": "0xFF6655",            // fire 
      "ramming": "0xFF7FB6",         // ramming 
     "world_collision": "0x228855", // world collision / столкновение с объектами, падение
      "death_zone": "0x899094",      // TODO: value, description
      "drowning": "0x658FBA",        // TODO: value, description
      "other": "0x00FFFF"            // other / другое
    },
    // Dynamic color by vehicle type.
    "vtype": {
      "LT":  "0xA2FF9A",
      "MT":  "0xFFF198",
      "HT":  "0xEFAEFF",
      "SPG": "0xF42915",
      "TD":  "0xA0CFFF",
      "premium": "0xFFCC66",
      "usePremiumColor": false
    },
    // Color settings for damage.
    "damage": {
      // Format: src_dst_type.
      // Src:  ally, squadman, enemy, unknown, player.
      // Dst:  ally, squadman, allytk, enemytk, enemy.
      // Type: hit, kill, blowup.
      "ally_ally_hit":		${"def.tk"},
      "ally_ally_kill":		${"def.tk"},
      "ally_ally_blowup":	${"def.tk"},
      "ally_squadman_hit":	${"def.tk"},
      "ally_squadman_kill":	${"def.tk"},
      "ally_squadman_blowup":	${"def.tk"},
      "ally_enemy_hit":		${"def.en"},
      "ally_enemy_kill":	${"def.en"},
      "ally_enemy_blowup":	${"def.en"},
      "ally_allytk_hit":	${"def.tk"},
      "ally_allytk_kill":	${"def.tk"},
      "ally_allytk_blowup":	${"def.tk"},
      "ally_enemytk_hit":	${"def.en"},
      "ally_enemytk_kill":	${"def.en"},
      "ally_enemytk_blowup":	${"def.en"},
      "squadman_ally_hit":	${"def.tk"},
      "squadman_ally_kill":	${"def.tk"},
      "squadman_ally_blowup":	${"def.tk"},
      "squadman_squadman_hit":	${"def.tk"},
      "squadman_squadman_kill":	${"def.tk"},
      "squadman_squadman_blowup":	${"def.tk"},
      "squadman_enemy_hit":	${"def.en"},
      "squadman_enemy_kill":	${"def.en"},
      "squadman_enemy_blowup":	${"def.en"},
      "squadman_allytk_hit":	${"def.tk"},
      "squadman_allytk_kill":	${"def.tk"},
      "squadman_allytk_blowup":	${"def.tk"},
      "squadman_enemytk_hit":	${"def.en"},
      "squadman_enemytk_kill":	${"def.en"},
      "squadman_enemytk_blowup":${"def.en"},
      "enemy_ally_hit":		${"def.al"},
      "enemy_ally_kill":	${"def.al"},
      "enemy_ally_blowup":	${"def.al"},
      "enemy_squadman_hit":	${"def.sq"},
      "enemy_squadman_kill":	${"def.sq"},
      "enemy_squadman_blowup":	${"def.sq"},
      "enemy_enemy_hit":	${"def.en"},
      "enemy_enemy_kill":	${"def.en"},
      "enemy_enemy_blowup":	${"def.en"},
      "enemy_allytk_hit":	${"def.al"},
      "enemy_allytk_kill":	${"def.al"},
      "enemy_allytk_blowup":	${"def.al"},
      "enemy_enemytk_hit":	${"def.en"},
      "enemy_enemytk_kill":	${"def.en"},
      "enemy_enemytk_blowup":	${"def.en"},
      "unknown_ally_hit":	${"def.al"},
      "unknown_ally_kill":	${"def.al"},
      "unknown_ally_blowup":	${"def.al"},
      "unknown_squadman_hit":	${"def.sq"},
      "unknown_squadman_kill":	${"def.sq"},
      "unknown_squadman_blowup":${"def.sq"},
      "unknown_enemy_hit":	${"def.en"},
      "unknown_enemy_kill":	${"def.en"},
      "unknown_enemy_blowup":	${"def.en"},
      "unknown_allytk_hit":	${"def.al"},
      "unknown_allytk_kill":	${"def.al"},
      "unknown_allytk_blowup":	${"def.al"},
      "unknown_enemytk_hit":	${"def.en"},
      "unknown_enemytk_kill":	${"def.en"},
      "unknown_enemytk_blowup":	${"def.en"},
      "player_ally_hit":	${"def.pl"},
      "player_ally_kill":	${"def.pl"},
      "player_ally_blowup":	${"def.pl"},
      "player_squadman_hit":	${"def.pl"},
      "player_squadman_kill":	${"def.pl"},
      "player_squadman_blowup":	${"def.pl"},
      "player_enemy_hit":	${"def.pl"},
      "player_enemy_kill":	${"def.pl"},
      "player_enemy_blowup":	${"def.pl"},
      "player_allytk_hit":	${"def.pl"},
      "player_allytk_kill":	${"def.pl"},
      "player_allytk_blowup":	${"def.pl"},
      "player_enemytk_hit":	${"def.pl"},
      "player_enemytk_kill":	${"def.pl"},
      "player_enemytk_blowup":	${"def.pl"}
    },
	// Dynamic color by spotted status
    "spotted": {
      "neverSeen": "0x000000",
      "lost": "0xD9D9D9",
      "revealed": "0xFE0E00",
      "dead": "0xFFFFFF",
      "neverSeen_arty": "0x000000",
      "lost_arty": "0xD9D9D9",
      "revealed_arty": "0xFE0E00",
      "dead_arty": "0xFFFFFF"
    },
    // Values below should be from smaller to larger.
    // ----
    // Dynamic color by remaining absolute health.
    "hp": [
      { "value": 201,  "color": ${"def.colorHP.very_low"     } },      
      { "value": 401,  "color": ${"def.colorHP.low"          } },      
      { "value": 1001, "color": ${"def.colorHP.average"      } },      
      { "value": 9999, "color": ${"def.colorHP.above_average"} }       
    ],
    // Dynamic color by remaining health percent.
    "hp_ratio": [
      { "value": 20,  "color": ${"def.colorHP.very_low"     } },       
      { "value": 45,  "color": ${"def.colorHP.low"          } },       
      { "value": 70,  "color": ${"def.colorHP.average"      } },       
      { "value": 101, "color": ${"def.colorHP.above_average"} }       
    ],
    // Dynamic color for XVM Scale (only with xvm-stat).
    // http://www.koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 16.5, "color": ${"def.colorRating.very_bad" } },   // 00   - 16.5 - very bad   (20% of players)
      { "value": 33.5, "color": ${"def.colorRating.bad"      } },   // 16.5 - 33.5 - bad        (better then 20% of players)
      { "value": 52.5, "color": ${"def.colorRating.normal"   } },   // 33.5 - 52.5 - normal     (better then 60% of players)
      { "value": 75.5, "color": ${"def.colorRating.good"     } },   // 52.5 - 75.5 - good       (better then 90% of players)
      { "value": 92.5, "color": ${"def.colorRating.very_good"} },   // 75.5 - 92.5 - very good  (better then 99% of players)
      { "value": 999,  "color": ${"def.colorRating.unique"   } }    // 92.5 - XX   - unique     (better then 99.9% of players)
    ],
    // Dynamic color by efficiency (only with xvm-stat).
    "eff": [
      { "value": 610,  "color": ${"def.colorRating.very_bad" } },  //    0 - 609  - very bad   (20% of players)
      { "value": 850,  "color": ${"def.colorRating.bad"      } },  //  610 - 849  - bad        (better then 20% of players)
      { "value": 1145, "color": ${"def.colorRating.normal"   } },  //  850 - 1144 - normal     (better then 60% of players)
      { "value": 1475, "color": ${"def.colorRating.good"     } },  // 1145 - 1474 - good       (better then 90% of players)
      { "value": 1775, "color": ${"def.colorRating.very_good"} },  // 1475 - 1774 - very good  (better then 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1775 - *    - unique     (better then 99.9% of players)
    ],
	 // Dynamic color by WN6 rating
     "wn6": [
      { "value": 410,  "color": ${"def.colorRating.very_bad" } },  //    0 - 409  - very bad   (20% of players)
      { "value": 795,  "color": ${"def.colorRating.bad"      } },  //  410 - 794  - bad        (better then 20% of players)
      { "value": 1185, "color": ${"def.colorRating.normal"   } },  //  795 - 1184 - normal     (better then 60% of players)
      { "value": 1585, "color": ${"def.colorRating.good"     } },  // 1185 - 1584 - good       (better then 90% of players)
      { "value": 1925, "color": ${"def.colorRating.very_good"} },  // 1585 - 1924 - very good  (better then 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1925 - *    - unique     (better then 99.9% of players)
    ],
    // Dynamic color by WN8 rating
     "wn8": [
	  { "value": 300,  "color": ${"def.colorRatingNew.beginner" 		} },
	  { "value": 450,  "color": ${"def.colorRatingNew.basic" 			} },
	  { "value": 650,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 900,  "color": ${"def.colorRatingNew.average"			} },
	  { "value": 1200, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 1600, "color": ${"def.colorRatingNew.good"				} },
	  { "value": 2000, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 2450, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 2900, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 9999, "color": ${"def.colorRatingNew.super_unicum"		} } 
    ],
    // Dynamic color by WG rating
    // TODO: update values
    "wgr": [
      { "value": 2020,  "color": ${"def.colorRating.very_bad" } },  // very bad   (20% of players)
      { "value": 4185,  "color": ${"def.colorRating.bad"      } },  // bad        (better then 20% of players)
      { "value": 6340,  "color": ${"def.colorRating.normal"   } },  // normal     (better then 60% of players)
      { "value": 8525,  "color": ${"def.colorRating.good"     } },  // good       (better then 90% of players)
      { "value": 9930, "color": ${"def.colorRating.very_good"} },  // very good  (better then 99% of players)
      { "value": 99999, "color": ${"def.colorRating.unique"   } }   // unique     (better then 99.9% of players)
    ],
	// Dynamic color for win chance
    "winChance": [
      { "value": 24.5, "color": ${"def.colorRating.very_bad" } },
      { "value": 39.5, "color": ${"def.colorRating.bad"      } },
      { "value": 59.5, "color": ${"def.colorRating.normal"   } },
      { "value": 74.5, "color": ${"def.colorRating.good"     } },
      { "value": 89.5, "color": ${"def.colorRating.very_good"} },
      { "value": 101,  "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by TEFF (E) rating (only with xvm-stat).
   "xte": [
      { "value": 16.5, "color": ${"def.colorRating.very_bad" } },   // 00   - 16.5 - very bad   (20% of players)
      { "value": 33.5, "color": ${"def.colorRating.bad"      } },   // 16.5 - 33.5 - bad        (better then 20% of players)
      { "value": 52.5, "color": ${"def.colorRating.normal"   } },   // 33.5 - 52.5 - normal     (better then 60% of players)
      { "value": 75.5, "color": ${"def.colorRating.good"     } },   // 52.5 - 75.5 - good       (better then 90% of players)
      { "value": 92.5, "color": ${"def.colorRating.very_good"} },   // 75.5 - 92.5 - very good  (better then 99% of players)
      { "value": 999,  "color": ${"def.colorRating.unique"   } }    // 92.5 - XX   - unique     (better then 99.9% of players)
    ],
    // Dynamic color by win percent
    "winrate": [
	  { "value": 46,  "color": ${"def.colorRatingNew.beginner"		} },
	  { "value": 47,  "color": ${"def.colorRatingNew.basic"			} },
	  { "value": 48,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 50,  "color": ${"def.colorRatingNew.average"		} },
	  { "value": 52, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 54, "color": ${"def.colorRatingNew.good"			} },
	  { "value": 56, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 60, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 65, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 101, "color": ${"def.colorRatingNew.super_unicum"	} }  
    ],
	 // Dynamic color by vehicle win percent (only with xvm-stat).
     "t-winrate": [
      { "value": 46,  "color": ${"def.colorRatingNew.beginner"		} },
	  { "value": 47,  "color": ${"def.colorRatingNew.basic"			} },
	  { "value": 48,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 50,  "color": ${"def.colorRatingNew.average"		} },
	  { "value": 52, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 54, "color": ${"def.colorRatingNew.good"			} },
	  { "value": 56, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 60, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 65, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 101, "color": ${"def.colorRatingNew.super_unicum"	} }  
    ],
    // Dynamic color by TWR (T-Calc) (only with xvm-stat).
    "twr": [
      { "value": 47,  "color": ${"def.colorRating.very_bad" } },   //  0   - 46.5  - very bad
      { "value": 49,  "color": ${"def.colorRating.bad"      } },   // 46.5 - 48.5  - bad
      { "value": 52,  "color": ${"def.colorRating.normal"   } },   // 48.5 - 51.5  - normal
      { "value": 57,  "color": ${"def.colorRating.good"     } },   // 51.5 - 56.5  - good
      { "value": 62,  "color": ${"def.colorRating.very_good"} },   // 56.5 - 61.5  - very good
      { "value": 101, "color": ${"def.colorRating.unique"   } }    // 61.5 - 100   - unique
    ],
    // Dynamic color by kilo-battles (only with xvm-stat).
    "kb": [
      { "value": 2,   "color": ${"def.colorRating.very_bad" } },   //  0 - 1
      { "value": 5,   "color": ${"def.colorRating.bad"      } },   //  2 - 4
      { "value": 9,   "color": ${"def.colorRating.normal"   } },   //  5 - 8
      { "value": 14,  "color": ${"def.colorRating.good"     } },   //  9 - 13
      { "value": 20,  "color": ${"def.colorRating.very_good"} },   // 14 - 19
      { "value": 999, "color": ${"def.colorRating.unique"   } }    // 20 - *
    ],
    // Dynamic color by battles on current tank (only with xvm-stat).
    "t_battles": [
      { "value": 100,   "color": ${"def.colorRating.very_bad" } }, //    0 - 99
      { "value": 250,   "color": ${"def.colorRating.bad"      } }, //  100 - 249
      { "value": 500,   "color": ${"def.colorRating.normal"   } }, //  250 - 499
      { "value": 1000,  "color": ${"def.colorRating.good"     } }, //  500 - 999
      { "value": 1800,  "color": ${"def.colorRating.very_good"} }, // 1000 - 1799
      { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 1800 - *
    ],
    // Dynamic color by average damage on current tank (only with xvm-stat).
    "tdb": [
      { "value": 1,    "color": ${"def.colorRating.undefined"} },
      { "value": 500,  "color": ${"def.colorRating.very_bad" } },
      { "value": 1000, "color": ${"def.colorRating.normal"   } },
      { "value": 2000, "color": ${"def.colorRating.good"     } }
    ],
    // Dynamic color by average damage efficiency on current tank (only with xvm-stat).
    "tdv": [
      { "value": 0.01, "color": ${"def.colorRating.undefined"} },
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average frags per battle on current tank (only with xvm-stat).
    "tfb": [
      { "value": 0.01, "color": ${"def.colorRating.undefined"} },
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
	"avglvl": [
      { "value": 2, "color": "0xFE0E00" },
      { "value": 3, "color": "0xFE7903" },
      { "value": 5, "color": "0xF8F400" },
      { "value": 7, "color": "0x60FF00" },
      { "value": 9, "color": "0x02C9B3" },
      { "value": 11, "color": "0xD042F3" }
    ],
	// Dynamic color by WN8 effective damage
    "wn8effd": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by number of spotted enemies per battle on current tank (only with xvm-stat).
    "tsb": [
      { "value": 0.01, "color": ${"def.colorRating.undefined"} },
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
	// Dynamic color by damage rating (percents for marks on gun)
    "damageRating": [
      { "value": 20,    "color": ${"def.colorRating.very_bad" } },  // 20% of players
      { "value": 60,    "color": ${"def.colorRating.bad"      } },  // better then 20% of players
      { "value": 90,    "color": ${"def.colorRating.normal"   } },  // better then 60% of players
      { "value": 99,    "color": ${"def.colorRating.good"     } },  // better then 90% of players
      { "value": 99.9,  "color": ${"def.colorRating.very_good"} },  // better then 99% of players
      { "value": 101,   "color": ${"def.colorRating.unique"   } }   // better then 99.9% of players
    ],
    // TODO:values
    // Dynamic color by hit ratio (percents of hits)
    "hitsRatio": [
      { "value": 20,    "color": ${"def.colorRating.very_bad" } },
      { "value": 60,    "color": ${"def.colorRating.bad"      } },
      { "value": 90,    "color": ${"def.colorRating.normal"   } },
      { "value": 99,    "color": ${"def.colorRating.good"     } },
      { "value": 99.9,  "color": ${"def.colorRating.very_good"} },
      { "value": 101,   "color": ${"def.colorRating.unique"   } }
    ]
  }
}
